Subject: [dhcwg] Re: I-D ACTION:draft-raj-dhc-tftp-addr-option-01.txt

From: "C. M. Heard" <[email-masked]>
Date: Sun, 3 Jul 2005 14:46:29 -0700 (PDT)

On Thu, 30 Jun 2005 [email-masked] wrote:
> A New Internet-Draft is available from the on-line
> Internet-Drafts directories.
> 
> 
> 	Title		: TFTP Server Address DHCP Option
> 	Author(s)	: R. Johnson
> 	Filename	: draft-raj-dhc-tftp-addr-option-01.txt
> 	Pages		: 7
> 	Date		: 2005-6-30
> 	
> This memo defines the "TFTP Server Address" option as it is currently
>    in use by Cisco Systems.  The option number currently in use is 150.
>    This memo documents the current usage of the option in agreement with
>    RFC-3942 [7] , which declares that any pre-existing usages of option
>    numbers in the range 128 - 223 should be documented and the working
>    group will try to officially assign those numbers to those options.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-raj-dhc-tftp-addr-option-01.txt

The option described in this draft is not necessary, as the same
functionality has historically been provided by the 'siaddr' field
in DHCPOFFER/DHCPACK/BOOTREPLY messages.  One is therefore led to
question whether it is a good idea to permanently consume an option
code for this purpose.

At the very least, the documentation should point out that the
'siaddr' field is used for the same purpose as the option and should
provide recommendations on how to prevent/deal with conflicts.

Mike Heard

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg